This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 427009 - kernel module rt2x00 sometimes become chatty
kernel module rt2x00 sometimes become chatty
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On: 411481
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-29 18:40 EST by Bryan Christ
Modified: 2009-02-11 14:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:33:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Christ 2007-12-29 18:40:45 EST
Description of problem:

Sometimes my Linksys WUSB54G wireless adapter becomes extremely chatty.  This
persistent chattiness causes all other wireless traffic to come to a crawl. 
When this event happens klog quickly fills up with the message:

phy0 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06 failed for offset
0x0444 with error -19.

The only way to quell the problem is to unplug the offending usb device and then
plug it back in.

Version-Release number of selected component (if applicable):

kernel is kernel-devel-2.6.23.1-42.fc8

How reproducible:

sometimes

Steps to Reproduce:
1.  Install Fedora 8
2.  Upgrade (via yum) to kernel mentioned above.
3.  Configure adapter for WEP 40-bit encryption.
4.  Wait.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bryan Christ 2008-01-04 18:45:13 EST
It happened again this morning.  Two instances is probably not a large enough
result pool to draw this conclusion from but in both cases the system was idle
for long periods of time before the problem happened.  In this last case, the
system was left idle overnight.
Comment 2 Christopher Brown 2008-01-29 17:21:02 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Bryan Christ 2008-01-29 17:54:42 EST
Yes.  This does happen, but I have no way to retest with newer kernels because I
have another BZ open which prevents me from using this NIC on any kernel version
greater than 2.6.23.1-42


Comment 4 Christopher Brown 2008-01-29 19:20:07 EST
Bryan,

Thanks for the update - would you mind referencing that bug here also (or feel
free to CC me into it). We really need you to test with a later kernel - there
have been numerous wireless updates since the version you are running which may
resolve the issue.
Comment 5 Bryan Christ 2008-01-30 10:19:41 EST
Done.  I updated this one as "depends on" since the other bug blocks this one.

Comment 6 John W. Linville 2008-03-13 11:12:26 EDT
The kernels here contain an update to rt2x00 version 2.1.4:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=42735

Could you give those kernels a try to see if they resolve this issue for you?
Comment 7 Bryan Christ 2008-03-13 11:54:13 EDT
John,

I will try one of these sometime between now and Monday.
Comment 8 John W. Linville 2008-04-17 15:03:40 EDT
Well, it's been a while...try another kernel? :-)

   http://koji.fedoraproject.org/koji/buildinfo?buildID=46436
Comment 9 Bryan Christ 2008-04-17 15:53:05 EDT
John,

I'll try to test it soon (within the next 2 weeks).
Comment 10 Bryan Christ 2008-04-24 20:34:26 EDT
John,

Obviously I can't test this bug because of blocker bug 411481.  However, I
retested that bug and it still fails.

BTW, what patches/features are included in the -debug kernels?

Comment 11 Chuck Ebbert 2008-04-29 12:33:36 EDT
(In reply to comment #10)
> 
> BTW, what patches/features are included in the -debug kernels?
>

Just different config options. 

-debug:
http://cvs.fedoraproject.org/viewcvs/*checkout*/rpms/kernel/F-8/config-debug

normal:
http://cvs.fedoraproject.org/viewcvs/*checkout*/rpms/kernel/F-8/config-nodebug
Comment 12 John W. Linville 2008-11-20 14:13:49 EST
Wow, long time...does this problem persist with 2.6.27-based kernels?
Comment 13 Bug Zapper 2008-11-26 04:12:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-09 02:33:28 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.